Qt 5.7 | Qt Charts | QML Types | LogValueAxis QML Type

Qt 5.7.1 Reference Documentation

# LogValueAxis QML Type

The LogValueAxis element is used for manipulating chart's axes. More...

Import Statement: | import QtCharts 2.1
Instantiates: | QLogValueAxis
Inherits: | AbstractAxis

- List of all members, including inherited members

## Properties

- base : real
- labelFormat : real
- max : real
- min : real

## Signals

- baseChanged(qreal base)
- labelFormatChanged(const QString &format)
- onMaxChanged(qreal max)
- onMinChanged(qreal min)

## Detailed Description

Note: If a LogValueAxis is attached to a series with one or more points with negative or zero values on the associated dimension, the series will not be plotted at all. This is particularly relevant when XYModelMappers are used, since empty cells in models typically contain zero values.

## Property Documentation

base : real

Defines the maximum value on the axis. Defines the base of the logarithm. Value has to be greater than 0 and not equal 1

labelFormat : real

Defines the label format of the axis. Supported specifiers are: d, i, o, x, X, f, F, e, E, g, G, c See QString::sprintf() for additional details.

max : real

Defines the maximum value on the axis. When setting this property the min is adjusted if necessary, to ensure that the range remains valid. Value has to be greater than 0.

min : real

Defines the minimum value on the axis. When setting this property the max is adjusted if necessary, to ensure that the range remains valid. Value has to be greater than 0.

## Signal Documentation

baseChanged(qreal base)

Axis emits signal when base of logarithm of the axis has changed.

labelFormatChanged(const QString &format)

Axis emits signal when format of axis labels has changed.

onMaxChanged(qreal max)

Axis emits signal when max of axis has changed.

onMinChanged(qreal min)

Axis emits signal when min of axis has changed.